[Pkg-telepathy-commits] [telepathy-idle] 08/26: Import run-test.sh.in from Gabble master

Simon McVittie smcv at debian.org
Thu Apr 3 17:49:41 UTC 2014


This is an automated email from the git hooks/post-receive script.

smcv pushed a commit to branch debian
in repository telepathy-idle.

commit 5c012a0ca8e8692efbc664e242e414950b38c4fd
Author: Guillaume Desmottes <guillaume.desmottes at collabora.co.uk>
Date:   Thu Sep 12 10:33:15 2013 +0200

    Import run-test.sh.in from Gabble master
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69258
---
 tests/twisted/Makefile.am    |  1 +
 tests/twisted/run-test.sh.in | 69 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/tests/twisted/Makefile.am b/tests/twisted/Makefile.am
index 764f074..17fa541 100644
--- a/tests/twisted/Makefile.am
+++ b/tests/twisted/Makefile.am
@@ -68,6 +68,7 @@ endif
 
 EXTRA_DIST = \
 	     $(TWISTED_TESTS) \
+	     run-test.sh.in \
 	     servicetest.py \
 	     idletest.py \
 	     constants.py \
diff --git a/tests/twisted/run-test.sh.in b/tests/twisted/run-test.sh.in
new file mode 100644
index 0000000..8dd5fd6
--- /dev/null
+++ b/tests/twisted/run-test.sh.in
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+if test "x$GABBLE_TEST_UNINSTALLED" = x; then
+  script_fullname=`readlink -e "@gabbletestsdir@/twisted/run-test.sh"`
+  if [ `readlink -e "$0"` != "$script_fullname" ] ; then
+    echo "This script is meant to be installed at $script_fullname" >&2
+    exit 1
+  fi
+
+  test_src="@gabbletestsdir@"
+  test_build="@gabbletestsdir@"
+  config_file="@gabbletestsdir@/twisted/tools/servicedir/tmp-session-bus.conf"
+
+  PYTHONPATH="@gabbletestsdir@/twisted"
+  export PYTHONPATH
+
+  GABBLE_TWISTED_PATH="@gabbletestsdir@/twisted"
+  export GABBLE_TWISTED_PATH
+else
+  if test -z "$GABBLE_ABS_TOP_SRCDIR"; then
+    echo "GABBLE_ABS_TOP_SRCDIR must be set" >&2
+    exit 1
+  fi
+  if test -z "$GABBLE_ABS_TOP_BUILDDIR"; then
+    echo "GABBLE_ABS_TOP_BUILDDIR must be set" >&2
+    exit 1
+  fi
+
+  test_src="${GABBLE_ABS_TOP_SRCDIR}/tests"
+  test_build="${GABBLE_ABS_TOP_BUILDDIR}/tests"
+  config_file="${test_build}/twisted/tools/servicedir-uninstalled/tmp-session-bus.conf"
+
+  PYTHONPATH="${test_src}/twisted:${test_build}/twisted"
+  export PYTHONPATH
+
+  GABBLE_TWISTED_PATH="${test_src}/twisted"
+  export GABBLE_TWISTED_PATH
+fi
+
+if [ -n "$1" ] ; then
+  list="$1"
+else
+  list=$(cat "${test_build}"/twisted/gabble-twisted-tests.list)
+fi
+
+any_failed=0
+for i in $list ; do
+  echo "Testing $i ..."
+  sh "${test_src}/twisted/tools/with-session-bus.sh" \
+    ${GABBLE_TEST_SLEEP} \
+    --config-file="${config_file}" \
+    -- \
+    @TEST_PYTHON@ -u "${test_src}/twisted/$i"
+  e=$?
+  case "$e" in
+    (0)
+      echo "PASS: $i"
+      ;;
+    (77)
+      echo "SKIP: $i"
+      ;;
+    (*)
+      any_failed=1
+      echo "FAIL: $i ($e)"
+      ;;
+  esac
+done
+
+exit $any_failed

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-telepathy/telepathy-idle.git



More information about the Pkg-telepathy-commits mailing list